# NexTrip.ピケ.コム

ミネソタ州ツインシティーズの[メトロトランジット](https://www.metrotransit.org)のNexTrip停留所情報のシンプルなWebサイトです。

## ホスト
1. これをインストール：
   - PHP (7.3.31を使う)
   - PostgreSQL (11.14を使う)
2. このリポジトリをクローン、`git clone https://git.xn--rck9c.xn--tckwe/pk11/nextrip.git`
3. `vars.php.example`を`vars.php`にコピー
4. `vars.php`を返照
5. 以下のテーブルを指定のデータベースに作成：
   ```sql
   CREATE TABLE favorites (
       fav_id INT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
       stop INT,
       priority INT,
       description VARCHAR(2048),
       key VARCHAR(64)
   );
   ```
   ```sql
   CREATE TABLE history (
      history_id INT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
      stop INT,
      key VARCHAR(64)
   );
   ```
